Page MenuHomeFreeBSD

Switch Charm Time Tracker to Qt5 build and take maintainership
ClosedPublic

Authored by adridg on Sep 25 2017, 8:55 AM.

Details

Summary

Switch Charm Time Tracker to Qt5 build and take maintainership

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Adding linimon@ , for the change in powerpc64. I imagine adding compiler:c++-11-lib and dropping the homebrew setting of compiler flags is enough to unbreak on PPC, but I have no hardware to tell.

deskutils/charmtimetracker/Makefile
5 ↗(On Diff #33395)

Use DISTVERSION

14 ↗(On Diff #33395)

Maybe add a LICENSE_FILE if it is available

27 ↗(On Diff #33395)

This is a gnome thing -- probably not needed.

31 ↗(On Diff #33395)

^ This option does not seem to have any magic attached to it? -- If the readme is the only doc, then maybe just install it unconditionally.

deskutils/charmtimetracker/Makefile
17 ↗(On Diff #33395)

^ = instead of +=

deskutils/charmtimetracker/files/patch-CMakeLists.txt
7 ↗(On Diff #33395)

why not look for qtkeychain?

deskutils/charmtimetracker/Makefile
16 ↗(On Diff #33395)

^you could switch this to cmake:outsource

deskutils/charmtimetracker/Makefile
17 ↗(On Diff #33395)

also, I think there is no CHARM_FORCE_QT5 only a CHARM_FORCE_QT4 -- so you can get rid of that, I guess.

CMakeLists.txt:OPTION( CHARM_FORCE_QT4 "Force building Charm with Qt4" OFF )
deskutils/charmtimetracker/Makefile
31 ↗(On Diff #33395)

But you cannot use PORTDOCS if you do not have a DOCS option.

adridg added inline comments.
deskutils/charmtimetracker/Makefile
31 ↗(On Diff #33395)

Only the PORTDOCS, so I'll add this to the pkg-plist instead.

deskutils/charmtimetracker/files/patch-CMakeLists.txt
7 ↗(On Diff #33395)

Trying to be predictable: there's no option to switch keychain-checking on or off, so if you have keychain (accidentally) installed, it will link to that. So instead, turn off the feature entirely, so that sloppy builds will still match what packages would produce.

Cleanup comments from tcberner@, but leave the keychain disabled.

Add missing testlib dependency, remove trailing blank line in plist

Install license after all.

Brain fart: since LICENSE_FILE is set, the license is already installed
by ports infrastructure, so patch it out of the CMakeLists again.

Thank you for taking over the port. Appreciated!

This revision is now accepted and ready to land.Sep 26 2017, 8:03 AM
deskutils/charmtimetracker/files/patch-CMakeLists.txt
7 ↗(On Diff #33395)

Why not simply depend on security/qtkeychain-qt5? -- or add an option() to cmake to toggle support for it... or even simpler as it is a find_package(FooBar) call you can toggle it via CMAKE_DISABLE_FIND_PACKAGE_FooBar [1].

[1] https://cmake.org/cmake/help/v3.9/variable/CMAKE_DISABLE_FIND_PACKAGE_PackageName.html#variable:CMAKE_DISABLE_FIND_PACKAGE_%3CPackageName%3E

Add comments again to what is being patched.

This revision now requires review to proceed.Sep 27 2017, 11:08 AM

Disabled though a simpler mechanism suggested by tcberner@ . The keychain is used only if tasks are imported from an external file, which then communicates with lotsofcake.kdab.com ; unless you are a KDAB employee using this port, this is unlikely to be relevant. Note that git master now requires keychain, and still connects to internal KDAB systems. That's a bridge we'll cross when we get to it.

Ok should be good now :)

This revision is now accepted and ready to land.Sep 27 2017, 11:41 AM
This revision was automatically updated to reflect the committed changes.